libpacparser1_1.3.0-2_amd64.deb


Advertisement

Description

libpacparser1 - library to parse proxy auto-config files

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: libpacparser1
Package version: 1.3.0
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 1.22 KB
Download size: 385.49 KB
Official Mirror: ftp.br.debian.org
a library to parse proxy auto-config (PAC) files. Proxy auto-config files are a vastly used proxy configuration method these days. Web browsers can use a PAC file to determine which proxy server to use or whether to go direct for a given URL. PAC files are written in JavaScript and can be programmed to return different proxy methods (e.g. "PROXY proxy1:port; DIRECT") depending upon URL, source IP address, protocol, time of the day etc. PAC files introduce a lot of possibilities. Needless to say, PAC files are now a widely accepted method for proxy configuration management and companies all over are using them in corporate environments. Almost all popular web browsers support PAC files. The idea behind pacparser is to make it easy to add this PAC file parsing capability to any program (C and Python supported right now). This package contains the shared library, and pactester, a tool for testing PAC files

Alternatives

Requires

    Download

    Source package: pacparser

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libpacparser1 deb package:
      # sudo apt-get install libpacparser1

    Files

    • /usr/bin/pactester
    • /usr/lib/libpacparser.so.1
    • /usr/share/doc/libpacparser1/README
    • /usr/share/doc/libpacparser1/changelog.Debian.gz
    • /usr/share/doc/libpacparser1/copyright
    • /usr/share/man/man1/pactester.1.gz

    Changelog

    2012-02-13 - Andrew Pollock <apollock@debian.org> pacparser (1.3.0-2) unstable; urgency=low * debian/control: Bumped Standards-Version (no changes)

    2011-09-10 - Manu Garg <manugarg@gmail.com> pacparser (1.3.0-1) unstable; urgency=low * Imported Upstream version 1.3.0

    2011-05-04 - Manu Garg <manugarg@gmail.com> pacparser (1.2.9-1) unstable; urgency=low * Imported Upstream version 1.2.9 * Fix the typo in last debian/changelog entry. * Add a config file for git-buildpackage to make it build in ../build-area directory so that original source remains clean.

    2011-03-16 - Manu Garg <manugarg@gmail.com> pacparser (1.2.7-1) unstable; urgency=low * Imported Upstream version 1.2.7 * Use source format 3.0 (quilt) * Add patch to skip the dns related post-build test, as network is assumed to be not available in the debian build environment.

    2011-01-07 - Andrew Pollock <apollock@debian.org> pacparser (1.2.6-3) unstable; urgency=low * debian/control: transfer maintenance to Manu Garg, with myself as an uploader

    2010-11-26 - Andrew Pollock <apollock@debian.org> pacparser (1.2.6-2) unstable; urgency=low * debian/control: rename libpacparser1-dev to libpacparser-dev

    2010-09-17 - Andrew Pollock <apollock@debian.org> pacparser (1.2.6-1) unstable; urgency=low * New upstream release

    2010-09-13 - Andrew Pollock <apollock@debian.org> pacparser (1.2.5-1) unstable; urgency=low * New upstream release * debian/libpacparser1.manpages: add pactester manpage * debian/control: update description for libpacparser1 to mention inclusion of pactester

    2010-09-11 - Andrew Pollock <apollock@debian.org> pacparser (1.2.2-2) unstable; urgency=low * debian/libpacparser1.install: add pactester to the package

    2010-09-10 - Andrew Pollock <apollock@debian.org> pacparser (1.2.2-1) unstable; urgency=low * New upstream release * debian/control: bumped Standards-Version (no changes) * debian/control: remove build dependency on libmozjs-dev

    Advertisement
    Advertisement